Bug 83162 - DATALOSS: series name not retained if another field is filled before pressing "ok"
Summary: DATALOSS: series name not retained if another field is filled before pressing...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-08-27 20:26 UTC by bruno.binet
Modified: 2015-04-07 21:41 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
expected bahavior of the dialog box (datarange series name) (29.94 KB, image/png)
2014-08-27 20:26 UTC, bruno.binet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bruno.binet 2014-08-27 20:26:38 UTC
Created attachment 105353 [details]
expected bahavior of the dialog box (datarange series name)

To reproduce:

1) Create a simple XY chart a single series.
2) Edit the chart, then menu: Format/datarange
3) In this dialog box, press "add" to create a new series. Then enter a name for the new series. 
4) Now select the cells for X and Y.  
5) Press ok to quit the dialog box.
6) Return in Format/datarange. You will see that the X and Y cells for the new series are retained but not the series name.

Workaround: you have to *end* the serie name (press ok just after) and it will be retained.

In LO4.2, the name was "captured" instantly (even if ok was not pressed, see screen capture). However, the name was lost file was saved and reopened. In LO4.3, now the series name is now correctly saved, but the user interface should still memorize (capture) the name before we press "ok". 

So this is a follow-up of bug 64722.
Comment 1 ign_christian 2014-09-30 03:51:20 UTC
Same behavior reproduced with LO 4.3.2.2 portable - Win7 x86

Not reproduced with LO 4.2.6.3 portable

Similar behavior if modifying X/Y Values (Bug 83606), only last modified will be affected before hit OK.
Comment 2 blargh 2014-10-31 12:43:10 UTC
I reproduce the bug on Win7 with LO 4.3.3.2.
Comment 3 Buovjaga 2014-11-04 16:25:10 UTC
Reproduced.

Version: 4.3.2.2.0+
Build ID: 4.3.2.2 Arch Linux build-1
Comment 4 Matthew Francis 2014-12-17 09:37:46 UTC
This is already fixed in 4.4beta2 and 4.5 master (though apparently not in 4.3.5.1). Changes to those fields now take effect as they are typed

Although it could be backported to 4.3, frankly it's a minor enough inconvenience that I don't think it's worth a developer's time to wrangle it into a 4.3 release

-> Removing Whiteboard:bibisectRequest
-> Setting Status: RESOLVED FIXED